<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Настройки регистрации')."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $reg_mode = INTVAL(POST('reg_mode'));
  $reg_str = INTVAL(POST('reg_str'));
  $reg_lang = INTVAL(POST('reg_lang'));
  $reg_double = INTVAL(POST('reg_double'));
  $reg_antidouble = INTVAL(POST('reg_antidouble'));
  
  IF ($reg_str > 15) {
    
    ERROR('Количество символов в логине не может быть больше 15', 'session');
    $err_data = 1;
    
  }
  
  IF ($reg_str < 3) {
    
    ERROR('Количество символов в логине не может быть меньше 3', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1) {
    
    REDIRECT('?path=system&section=registration');
    
  }
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'REG_MODE', $reg_mode);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'REG_STR', $reg_str);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'REG_LANG', $reg_lang);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'REG_DOUBLE', $reg_double);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'REG_ANTIDOUBLE', $reg_antidouble);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=registration');

}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Режим регистрации').":</b><br />";
ECHO "<select name='reg_mode' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('REG_MODE') == 1?" selected='selected'" : NULL)."> ".LG('Упрощенный без E-mail')."</option>";
ECHO "<option value='2' ".(CONFIG('REG_MODE') == 2?" selected='selected'" : NULL)."> ".LG('С подтвержением E-mail')."</option>";
ECHO "<option value='0' ".(CONFIG('REG_MODE') == 0?" selected='selected'" : NULL)."> ".LG('Закрытый')." (".LG('регистрация недоступна').")</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Допустимые буквы при регистрации логина').":</b><br />";
ECHO "<select name='reg_lang' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('REG_LANG') == 1?" selected='selected'" : NULL)."> ".LG('Только буквы английского алфавита')."</option>";
ECHO "<option value='2' ".(CONFIG('REG_LANG') == 2?" selected='selected'" : NULL)."> ".LG('Только буквы русского алфавита')."</option>";
ECHO "<option value='0' ".(CONFIG('REG_LANG') == 0?" selected='selected'" : NULL)."> ".LG('Буквы русского и английского алфавитов')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Количество допустимых символов в нике при регистрации')." (".LG('от 3 до 15 символов')."):</b><br />";
HTML::INPUT('reg_str', NULL, NULL, NULL, ''.CONFIG('REG_STR').'', 'form-control-30');

ECHO "<b>".LG('Можно ли регистрировать одно и то же название ника 2 или более раза?').":</b><br />";

ECHO "<label class='custom-radio'><input type='radio' name='reg_double' value='1'".(CONFIG('REG_DOUBLE') == 1?"checked='checked'":null)."><span>".LG('Да')."</span></label><br />";
ECHO "<label class='custom-radio'><input type='radio' name='reg_double' value='0'".(CONFIG('REG_DOUBLE') == 0?"checked='checked'":null)."><span>".LG('Нет')."</span></label><br /><br />";

ECHO "<b>".LG('Запрет повторной регистрации').":</b><br />";
ECHO "<select name='reg_antidouble' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('REG_ANTIDOUBLE') == 1?" selected='selected'" : NULL)."> ".LG('Проверка COOKIE')."</option>";
ECHO "<option value='2' ".(CONFIG('REG_ANTIDOUBLE') == 2?" selected='selected'" : NULL)."> ".LG('Проверка COOKIE + IP')." (".LG('не рекомендуется').")</option>";
ECHO "<option value='0' ".(CONFIG('REG_ANTIDOUBLE') == 0?" selected='selected'" : NULL)."> ".LG('Разрешена')." (".LG('нет запрета').")</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";